summaryrefslogtreecommitdiffstats
path: root/games/freeciv
diff options
context:
space:
mode:
author Iskar Enev <iskar.enev@gmail.com>2010-05-11 14:28:18 +0200
committer Michiel van Wessem <michiel@slackbuilds.org>2010-05-11 14:28:18 +0200
commitd0bdee5c41dd5f472d8813a89e3b08f4e44e08d4 (patch)
tree64fef2a1d6b072c5e4b11033b5862e3d41830276 /games/freeciv
parent301b133da0424db645914507653afb91b991d119 (diff)
downloadslackbuilds-d0bdee5c41dd5f472d8813a89e3b08f4e44e08d4.tar.gz
slackbuilds-d0bdee5c41dd5f472d8813a89e3b08f4e44e08d4.tar.xz
games/freeciv: Initial import
Diffstat (limited to 'games/freeciv')
-rw-r--r--games/freeciv/README11
-rw-r--r--games/freeciv/freeciv.SlackBuild77
-rw-r--r--games/freeciv/freeciv.info8
-rw-r--r--games/freeciv/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/games/freeciv/README b/games/freeciv/README
new file mode 100644
index 0000000000..72f6ec4e26
--- /dev/null
+++ b/games/freeciv/README
@@ -0,0 +1,11 @@
+Freeciv is a free turn-based multiplayer strategy game, in which each player
+becomes the leader of a civilization, fighting to obtain the ultimate goal:
+To become the greatest civilization.
+
+Players of the Civilization(R) series by Microprose(R) should feel at home,
+scince one aim of Freeciv is to have optional modes (called rulesets) with
+compatible rules.
+
+Freeciv is maintained by an international team of coders and enthusiasts, and
+is easily one of the most fun and addictive network games out there! That also
+means it has very extensive multilanguage support, something rare in games.
diff --git a/games/freeciv/freeciv.SlackBuild b/games/freeciv/freeciv.SlackBuild
new file mode 100644
index 0000000000..2c9add462d
--- /dev/null
+++ b/games/freeciv/freeciv.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+
+# Slackware build script for freeciv
+# Written by Iskar Enev <iskar.enev@gmail.com>
+
+PRGNAM=freeciv
+VERSION=2.0.9
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+XPREF=`pkg-config --variable=prefix x11` || true
+[ "$XPREF" == "" ] && XPREF='/usr/X11R6'
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --x-includes=$XPREF/include \
+ --x-libraries=$XPREF/lib \
+ --enable-client=yes \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man/man6
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+# Fix icon path in desktop file
+sed -i 's%Icon=gnome-globe.png%Icon=/usr/share/icons/gnome/96x96/apps/gnome-globe.png%' \
+ $PKG/usr/share/applications/$PRGNAM.desktop || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS doc/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+( cd $PKG/usr/doc/$PRGNAM-$VERSION
+ rm -rf man/
+ find . -name "Makefile*" -type f -exec rm {} \;
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/freeciv/freeciv.info b/games/freeciv/freeciv.info
new file mode 100644
index 0000000000..6539911f1c
--- /dev/null
+++ b/games/freeciv/freeciv.info
@@ -0,0 +1,8 @@
+PRGNAM="freeciv"
+VERSION="2.0.9"
+HOMEPAGE="http://www.freeciv.org"
+DOWNLOAD="http://dl.sourceforge.net/freeciv/freeciv-2.0.9.tar.bz2"
+MD5SUM="7bfa40220bd8e19a263ca247202682ce"
+MAINTAINER="Iskar Enev"
+EMAIL="iskar.enev@gmail.com"
+APPROVED="BP{k}"
diff --git a/games/freeciv/slack-desc b/games/freeciv/slack-desc
new file mode 100644
index 0000000000..f3db770fab
--- /dev/null
+++ b/games/freeciv/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------------|
+freeciv: freeciv
+freeciv:
+freeciv: Freeciv is a free turn-based multiplayer strategy game, in which each
+freeciv: player becomes the leader of a civilization, fighting to obtain the
+freeciv: ultimate goal: To become the greatest civilization.
+freeciv:
+freeciv:
+freeciv:
+freeciv:
+freeciv:
+freeciv: